import Conductor from 'conductor-node';
const conductor = new Conductor({
apiKey: process.env['CONDUCTOR_SECRET_KEY'], // This is the default and can be omitted
});
const deletedListObjects = await conductor.qbd.deletedListObjects.list({
objectTypes: ['customer'],
conductorEndUserId: 'end_usr_1234567abcdefg',
});
console.log(deletedListObjects.data);import os
from conductor import Conductor
conductor = Conductor(
api_key=os.environ.get("CONDUCTOR_SECRET_KEY"), # This is the default and can be omitted
)
deleted_list_objects = conductor.qbd.deleted_list_objects.list(
object_types=["customer"],
conductor_end_user_id="end_usr_1234567abcdefg",
)
print(deleted_list_objects.data)curl --request GET \
--url https://api.conductor.is/v1/quickbooks-desktop/deleted-list-objects \
--header 'Authorization: Bearer <token>' \
--header 'Conductor-End-User-Id: <conductor-end-user-id>'
{
"objectType": "list",
"url": "/v1/quickbooks-desktop/deleted-list-objects",
"data": [
{
"listType": "customer",
"id": "80000001-1234567890",
"objectType": "qbd_deleted_list_object",
"createdAt": "2025-01-01T12:34:56.000Z",
"deletedAt": "2025-02-01T12:34:56.000Z",
"fullName": "Parent:Child"
}
]
}List all deleted list-objects
Lists deleted non-transaction list-objects (e.g., customers, vendors, employees, items) from the last 90 days. Results are grouped by list-object type and ordered by actual delete time (ascending). For deleted transactions (e.g., invoices, bills, estimates), see the deleted-transactions endpoint.
NOTE: QuickBooks Desktop does not support pagination for deleted list-objects; hence, there is no cursor parameter. Users typically have few deleted list-objects.
import Conductor from 'conductor-node';
const conductor = new Conductor({
apiKey: process.env['CONDUCTOR_SECRET_KEY'], // This is the default and can be omitted
});
const deletedListObjects = await conductor.qbd.deletedListObjects.list({
objectTypes: ['customer'],
conductorEndUserId: 'end_usr_1234567abcdefg',
});
console.log(deletedListObjects.data);import os
from conductor import Conductor
conductor = Conductor(
api_key=os.environ.get("CONDUCTOR_SECRET_KEY"), # This is the default and can be omitted
)
deleted_list_objects = conductor.qbd.deleted_list_objects.list(
object_types=["customer"],
conductor_end_user_id="end_usr_1234567abcdefg",
)
print(deleted_list_objects.data)Authorizations
Your Conductor secret key using Bearer auth (e.g., "Authorization: Bearer {{YOUR_SECRET_KEY}}").
Headers
The ID of the End-User to receive this request.
"end_usr_1234567abcdefg"
Query Parameters
Filter for deleted list-objects by their list-object type(s).
account, billing_rate, class, currency, customer, customer_message, customer_type, date_driven_terms, employee, inventory_site, item_discount, item_fixed_asset, item_group, item_inventory, item_inventory_assembly, item_non_inventory, item_other_charge, item_payment, item_sales_tax, item_sales_tax_group, item_service, item_subtotal, job_type, other_name, payment_method, payroll_item_non_wage, payroll_item_wage, price_level, sales_representative, sales_tax_code, ship_method, standard_terms, to_do, unit_of_measure_set, vehicle, vendor, vendor_type, workers_comp_code ["customer"]
Filter for deleted list-objects deleted on or after this date/time, within the last 90 days (QuickBooks limit). Accepts the following ISO 8601 formats:
- date-only (YYYY-MM-DD) - QuickBooks Desktop interprets the date as the start of the specified day in the local timezone of the end-user's computer (e.g.,
2025-01-01→2025-01-01T00:00:00). - datetime without timezone (YYYY-MM-DDTHH:mm:ss) - QuickBooks Desktop interprets the timestamp in the local timezone of the end-user's computer.
- datetime with timezone (YYYY-MM-DDTHH:mm:ss±HH:mm) - QuickBooks Desktop interprets the timestamp using the specified timezone.
"2025-01-01T12:34:56.000Z"
Filter for deleted list-objects deleted on or before this date/time, within the last 90 days (QuickBooks limit). Accepts the following ISO 8601 formats:
- date-only (YYYY-MM-DD) - QuickBooks Desktop interprets the date as the end of the specified day in the local timezone of the end-user's computer (e.g.,
2025-01-01→2025-01-01T23:59:59). - datetime without timezone (YYYY-MM-DDTHH:mm:ss) - QuickBooks Desktop interprets the timestamp in the local timezone of the end-user's computer.
- datetime with timezone (YYYY-MM-DDTHH:mm:ss±HH:mm) - QuickBooks Desktop interprets the timestamp using the specified timezone.
"2025-02-01T12:34:56.000Z"
Response
Returns a list of deleted list-objects.
The type of object. This value is always "list".
"list""list"
The endpoint URL where this list can be accessed.
"/v1/quickbooks-desktop/deleted-list-objects"
The array of deleted list-objects.
Show child attributes
Show child attributes

